<?php
/** Theme Custom Header */
$custom_header_support = array( 
	
	'default-image' => '',
	'random-default' => true,
	'width' => apply_filters( 'paradise_header_image_width', 940 ),
	'height' => apply_filters( 'paradise_header_image_height', 350 ),
	'flex-height' => true,
	'default-text-color' => 'fff',
	'header-text' => true,
	'wp-head-callback' => 'paradise_header_style',
	'admin-head-callback' => 'paradise_admin_header_style',
	'admin-preview-callback' => 'paradise_admin_header_image'
	
);
add_theme_support( 'custom-header', $custom_header_support );	

/** Default custom headers packaged with the theme. %s is a placeholder for the theme template directory URI. */
register_default_headers( array(
	
	'paradise' =>	array(
		  'url' => '%s/images/headers/header-paradise.jpg',
		  'thumbnail_url' => '%s/images/headers/header-paradise-thumb.jpg',
		  'description' => 'Paradise'
	 ),	

) );

/** Styles the header image and text displayed on the blog / blog preview in admin. */
function paradise_header_style() {
	
	$header_textcolor = get_header_textcolor();
	if( ( !empty( $header_textcolor ) && $header_textcolor != 'blank' ) || get_header_image() ):
	paradise_admin_header_style();	
	endif;	

}

/** Styles the header image displayed on the Appearance > Header admin panel. */
function paradise_admin_header_style() {	
?>
<style type="text/css">
.appearance_page_custom-header #head-wrap,
#head-wrap {
	font-family: Georgia, Times, serif;
	width: <?php echo get_custom_header()->width; ?>px;
	height: <?php echo get_custom_header()->height; ?>px;	
	background-color: #00508b;
	text-shadow: #8e8e8e 1px 1px;
	overflow: hidden;
	border: none;
}

.appearance_page_custom-header .head-wrap-bg,
.head-wrap-bg {
	background: url(<?php header_image(); ?>) no-repeat;
}

#head-wrap #head-text .site-name {
	display: block;
	margin: 50px 50px 15px 40px;
}

#head-wrap #head-text .site-name a {
	font-size: 36px;
	line-height: 36px; 
	font-weight: normal; 
	color: #<?php echo esc_html( get_header_textcolor() ); ?>;
	text-decoration: none;
}

#head-wrap #head-text .site-description {
	display: block;
	font-size: 18px;
	font-style: italic;
	line-height: 25px;
	color: #<?php echo esc_html( get_header_textcolor() ); ?>;
	margin: 0 40px;	
}
</style>
<?php
}

/** Markup the header image displayed on the Appearance > Header admin panel. */
function paradise_admin_header_image() {	
?>

    <?php
	$header_textcolor = get_header_textcolor(); 
	if( ( !empty( $header_textcolor ) && $header_textcolor != 'blank' ) ):
	$head_wrap_bg_class = ( get_header_image() )? 'head-wrap-bg' : '';
	?>    
    
    <div id="head-wrap" class="<?php echo $head_wrap_bg_class; ?>">
      <div id="head-text">
        <span class="site-name"><a href="<?php echo home_url( '/' ); ?>" onclick="return false;" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></span>
        <span class="site-description"><?php bloginfo( 'description' ); ?></span>
      </div><!-- end of #head-text -->
    </div>
	
	<?php elseif( get_header_image() ): ?>
    
    <div id="head-wrap">
      <div id="head-image">
        <a href="<?php echo home_url( '/' ); ?>" onclick="return false;" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><img src="<?php header_image(); ?>" width="<?php echo get_custom_header()->width; ?>" height="<?php echo get_custom_header()->height; ?>" alt="<?php bloginfo( 'name' ); ?>" /></a>
      </div><!-- end of #logo -->
    </div>
    
	<?php endif; ?>

<?php
}
?>